CoreGTK 3.22.0 CoreGTK is an Objective-C language binding for the GTK+ widget toolkit

Instance Methods | Class Methods | List of all members
CGTKWidget Class Reference
Inheritance diagram for CGTKWidget:
[legend]
Collaboration diagram for CGTKWidget:
[legend]

## Instance Methods
(GtkWidget *) | - WIDGET
(BOOL) | - activate
(void) | - addAcceleratorWithAccelSignal:andAccelGroup:andAccelKey:andAccelMods:andAccelFlags:
(void) | - addDeviceEventsWithDevice:andEvents:
(void) | - addEvents:
(void) | - addMnemonicLabel:
(guint) | - addTickCallbackWithCallback:andUserData:andNotify:
(BOOL) | - canActivateAccel:
(BOOL) | - childFocus:
(void) | - childNotify:
(void) | - classPathWithPathLength:andPath:andPathReversed:
(BOOL) | - computeExpand:
(PangoContext *) | - createPangoContext
(PangoLayout *) | - createPangoLayout:
(void) | - destroy
(void) | - destroyed:
(BOOL) | - deviceIsShadowed:
(GdkDragContext *) | - gtkDragBeginWithTargets:andActions:andButton:andEvent:
(GdkDragContext *) | - gtkDragBeginWithCoordinatesWithTargets:andActions:andButton:andEvent:andX:andY:
(BOOL) | - gtkDragCheckThresholdWithStartX:andStartY:andCurrentX:andCurrentY:
(void) | - gtkDragDestAddImageTargets
(void) | - gtkDragDestAddTextTargets
(void) | - gtkDragDestAddUriTargets
(GdkAtom) | - gtkDragDestFindTargetWithContext:andTargetList:
(GtkTargetList *) | - gtkDragDestGetTargetList
(BOOL) | - gtkDragDestGetTrackMotion
(void) | - gtkDragDestSetWithFlags:andTargets:andNtargets:andActions:
(void) | - gtkDragDestSetProxyWithProxyWindow:andProtocol:andUseCoordinates:
(void) | - gtkDragDestSetTargetList:
(void) | - gtkDragDestSetTrackMotion:
(void) | - gtkDragDestUnset
(void) | - gtkDragGetDataWithContext:andTarget:andTime:
(void) | - gtkDragHighlight
(void) | - gtkDragSourceAddImageTargets
(void) | - gtkDragSourceAddTextTargets
(void) | - gtkDragSourceAddUriTargets
(GtkTargetList *) | - gtkDragSourceGetTargetList
(void) | - gtkDragSourceSetWithStartButtonMask:andTargets:andNtargets:andActions:
(void) | - gtkDragSourceSetIconGicon:
(void) | - gtkDragSourceSetIconName:
(void) | - gtkDragSourceSetIconPixbuf:
(void) | - gtkDragSourceSetIconStock:
(void) | - gtkDragSourceSetTargetList:
(void) | - gtkDragSourceUnset
(void) | - gtkDragUnhighlight
(void) | - draw:
(void) | - ensureStyle
(void) | - errorBell
(BOOL) | - event:
(void) | - freezeChildNotify
(AtkObject *) | - getAccessible
(GActionGroup *) | - getActionGroup:
(int) | - getAllocatedBaseline
(int) | - getAllocatedHeight
(void) | - getAllocatedSizeWithAllocation:andBaseline:
(int) | - getAllocatedWidth
(void) | - getAllocation:
(CGTKWidget *) | - getAncestor:
(BOOL) | - getAppPaintable
(BOOL) | - getCanDefault
(BOOL) | - getCanFocus
(void) | - getChildRequisition:
(BOOL) | - getChildVisible
(void) | - getClip:
(GtkClipboard *) | - getClipboard:
(NSString *) | - getCompositeName
(BOOL) | - getDeviceEnabled:
(GdkEventMask) | - getDeviceEvents:
(GtkTextDirection) | - getDirection
(GdkDisplay *) | - getDisplay
(BOOL) | - getDoubleBuffered
(gint) | - getEvents
(BOOL) | - getFocusOnClick
(PangoFontMap *) | - getFontMap
(const cairo_font_options_t *) | - getFontOptions
(GdkFrameClock *) | - getFrameClock
(GtkAlign) | - getHalign
(BOOL) | - getHasTooltip
(BOOL) | - getHasWindow
(BOOL) | - getHexpand
(BOOL) | - getHexpandSet
(BOOL) | - getMapped
(gint) | - getMarginBottom
(gint) | - getMarginEnd
(gint) | - getMarginLeft
(gint) | - getMarginRight
(gint) | - getMarginStart
(gint) | - getMarginTop
(GdkModifierType) | - getModifierMask:
(GtkRcStyle *) | - getModifierStyle
(NSString *) | - getName
(BOOL) | - getNoShowAll
(double) | - getOpacity
(PangoContext *) | - getPangoContext
(CGTKWidget *) | - getParent
(GdkWindow *) | - getParentWindow
(GtkWidgetPath *) | - getPath
(void) | - getPointerWithX:andY:
(void) | - getPreferredHeightWithMinimumHeight:andNaturalHeight:
(void) | - getPreferredHeightAndBaselineForWidthWithWidth:andMinimumHeight:andNaturalHeight:andMinimumBaseline:andNaturalBaseline:
(void) | - getPreferredHeightForWidthWithWidth:andMinimumHeight:andNaturalHeight:
(void) | - getPreferredSizeWithMinimumSize:andNaturalSize:
(void) | - getPreferredWidthWithMinimumWidth:andNaturalWidth:
(void) | - getPreferredWidthForHeightWithHeight:andMinimumWidth:andNaturalWidth:
(BOOL) | - getRealized
(BOOL) | - getReceivesDefault
(GtkSizeRequestMode) | - getRequestMode
(void) | - getRequisition:
(GdkWindow *) | - getRootWindow
(gint) | - getScaleFactor
(GdkScreen *) | - getScreen
(BOOL) | - getSensitive
(GtkSettings *) | - getSettings
(void) | - getSizeRequestWithWidth:andHeight:
(GtkStateType) | - getState
(GtkStateFlags) | - getStateFlags
(GtkStyle *) | - getStyle
(GtkStyleContext *) | - getStyleContext
(BOOL) | - getSupportMultidevice
(GObject *) | - getTemplateChildWithWidgetType:andName:
(NSString *) | - getTooltipMarkup
(NSString *) | - getTooltipText
(GtkWindow *) | - getTooltipWindow
(CGTKWidget *) | - getToplevel
(GtkAlign) | - getValign
(GtkAlign) | - getValignWithBaseline
(BOOL) | - getVexpand
(BOOL) | - getVexpandSet
(BOOL) | - getVisible
(GdkVisual *) | - getVisual
(GdkWindow *) | - getWindow
(void) | - gtkGrabAdd
(void) | - grabDefault
(void) | - grabFocus
(void) | - gtkGrabRemove
(BOOL) | - hasDefault
(BOOL) | - hasFocus
(BOOL) | - hasGrab
(BOOL) | - hasRcStyle
(BOOL) | - hasScreen
(BOOL) | - hasVisibleFocus
(void) | - hide
(BOOL) | - hideOnDelete
(BOOL) | - inDestruction
(void) | - initTemplate
(void) | - inputShapeCombineRegion:
(void) | - insertActionGroupWithName:andGroup:
(BOOL) | - intersectWithArea:andIntersection:
(BOOL) | - isAncestor:
(BOOL) | - isComposited
(BOOL) | - isDrawable
(BOOL) | - isFocus
(BOOL) | - isSensitive
(BOOL) | - isToplevel
(BOOL) | - isVisible
(BOOL) | - keynavFailed:
(GList *) | - listAccelClosures
(const gchar **) | - listActionPrefixes
(GList *) | - listMnemonicLabels
(void) | - map
(BOOL) | - mnemonicActivate:
(void) | - modifyBaseWithState:andColor:
(void) | - modifyBgWithState:andColor:
(void) | - modifyCursorWithPrimary:andSecondary:
(void) | - modifyFgWithState:andColor:
(void) | - modifyFont:
(void) | - modifyStyle:
(void) | - modifyTextWithState:andColor:
(void) | - overrideBackgroundColorWithState:andColor:
(void) | - overrideColorWithState:andColor:
(void) | - overrideCursorWithCursor:andSecondaryCursor:
(void) | - overrideFont:
(void) | - overrideSymbolicColorWithName:andColor:
(void) | - pathWithPathLength:andPath:andPathReversed:
(void) | - queueAllocate
(void) | - queueComputeExpand
(void) | - queueDraw
(void) | - queueDrawAreaWithX:andY:andWidth:andHeight:
(void) | - queueDrawRegion:
(void) | - queueResize
(void) | - queueResizeNoRedraw
(void) | - realize
(cairo_region_t *) | - regionIntersect:
(void) | - registerWindow:
(BOOL) | - removeAcceleratorWithAccelGroup:andAccelKey:andAccelMods:
(void) | - removeMnemonicLabel:
(void) | - removeTickCallback:
(GdkPixbuf *) | - renderIconWithStockId:andSize:andDetail:
(GdkPixbuf *) | - renderIconPixbufWithStockId:andSize:
(void) | - reparent:
(void) | - resetRcStyles
(void) | - resetStyle
(gint) | - sendExpose:
(BOOL) | - sendFocusChange:
(void) | - setAccelPathWithAccelPath:andAccelGroup:
(void) | - setAllocation:
(void) | - setAppPaintable:
(void) | - setCanDefault:
(void) | - setCanFocus:
(void) | - setChildVisible:
(void) | - setClip:
(void) | - setCompositeName:
(void) | - setDeviceEnabledWithDevice:andEnabled:
(void) | - setDeviceEventsWithDevice:andEvents:
(void) | - setDirection:
(void) | - setDoubleBuffered:
(void) | - setEvents:
(void) | - setFocusOnClick:
(void) | - setFontMap:
(void) | - setFontOptions:
(void) | - setHalign:
(void) | - setHasTooltip:
(void) | - setHasWindow:
(void) | - setHexpand:
(void) | - setHexpandSet:
(void) | - setMapped:
(void) | - setMarginBottom:
(void) | - setMarginEnd:
(void) | - setMarginLeft:
(void) | - setMarginRight:
(void) | - setMarginStart:
(void) | - setMarginTop:
(void) | - setName:
(void) | - setNoShowAll:
(void) | - setOpacity:
(void) | - setParent:
(void) | - setParentWindow:
(void) | - setRealized:
(void) | - setReceivesDefault:
(void) | - setRedrawOnAllocate:
(void) | - setSensitive:
(void) | - setSizeRequestWithWidth:andHeight:
(void) | - setState:
(void) | - setStateFlagsWithFlags:andClear:
(void) | - setStyle:
(void) | - setSupportMultidevice:
(void) | - setTooltipMarkup:
(void) | - setTooltipText:
(void) | - setTooltipWindow:
(void) | - setValign:
(void) | - setVexpand:
(void) | - setVexpandSet:
(void) | - setVisible:
(void) | - setVisual:
(void) | - setWindow:
(void) | - shapeCombineRegion:
(void) | - show
(void) | - showAll
(void) | - showNow
(void) | - sizeAllocate:
(void) | - sizeAllocateWithBaselineWithAllocation:andBaseline:
(void) | - sizeRequest:
(void) | - styleAttach
(void) | - styleGetPropertyWithPropertyName:andValue:
(void) | - styleGetValistWithFirstPropertyName:andVarArgs:
(void) | - thawChildNotify
(BOOL) | - translateCoordinatesWithDestWidget:andSrcX:andSrcY:andDestX:andDestY:
(void) | - triggerTooltipQuery
(void) | - unmap
(void) | - unparent
(void) | - unrealize
(void) | - unregisterWindow:
(void) | - unsetStateFlags:
Instance Methods inherited from CGTKBase
(id) | - initWithGObject:
(void) | - setGObject:
(GObject *) | - GOBJECT

## Class Methods
(GtkTextDirection) | + getDefaultDirection
(GtkStyle *) | + getDefaultStyle
(void) | + popCompositeChild
(void) | + pushCompositeChild
(void) | + setDefaultDirection:
Class Methods inherited from CGTKBase
(CGTKBase *) | + withGObject:

## Additional Inherited Members
Protected Attributes inherited from CGTKBase
GObject * | __gObject

## Detailed Description

Definition at line 34 of file CGTKWidget.h.

## Method Documentation

## ◆ activate()

- (BOOL) activate |  |  |

-(BOOL*)activate;

Returns
  BOOL

Reimplemented in CGTKMenuItem.

Definition at line 66 of file CGTKWidget.m.

## ◆ addAcceleratorWithAccelSignal:andAccelGroup:andAccelKey:andAccelMods:andAccelFlags:()

- (void) addAcceleratorWithAccelSignal: |  | (NSString*) | accelSignal
andAccelGroup: |  | (GtkAccelGroup*) | accelGroup
andAccelKey: |  | (guint) | accelKey
andAccelMods: |  | (GdkModifierType) | accelMods
andAccelFlags: |  | (GtkAccelFlags) | accelFlags

-(void*)addAcceleratorWithAccelSignal:(NSString*) accelSignal andAccelGroup:(GtkAccelGroup*) accelGroup andAccelKey:(guint) accelKey andAccelMods:(GdkModifierType) accelMods andAccelFlags:(GtkAccelFlags) accelFlags;

Parameters

  accelSignal |
  accelGroup |
  accelKey |
  accelMods |
  accelFlags |

Definition at line 71 of file CGTKWidget.m.

## ◆ addDeviceEventsWithDevice:andEvents:()

- (void) addDeviceEventsWithDevice: |  | (GdkDevice*) | device
andEvents: |  | (GdkEventMask) | events

-(void*)addDeviceEventsWithDevice:(GdkDevice*) device andEvents:(GdkEventMask) events;

Parameters

  device |
  events |

Definition at line 76 of file CGTKWidget.m.

## ◆ addEvents:()

- (void) addEvents: |  | (gint) | events |

-(void*)addEvents: events;

Parameters

  events |

Definition at line 81 of file CGTKWidget.m.

## ◆ addMnemonicLabel:()

- (void) addMnemonicLabel: |  | (CGTKWidget*) | label |

-(void*)addMnemonicLabel: label;

Parameters

  label |

Definition at line 86 of file CGTKWidget.m.

## ◆ addTickCallbackWithCallback:andUserData:andNotify:()

- (guint) addTickCallbackWithCallback: |  | (GtkTickCallback) | callback
andUserData: |  | (gpointer) | userData
andNotify: |  | (GDestroyNotify) | notify

-(guint*)addTickCallbackWithCallback:(GtkTickCallback) callback andUserData:(gpointer) userData andNotify:(GDestroyNotify) notify;

Parameters

  callback |
  userData |
  notify |

Returns
  guint

Definition at line 91 of file CGTKWidget.m.

## ◆ canActivateAccel:()

- (BOOL) canActivateAccel: |  | (guint) | signalId |

-(BOOL*)canActivateAccel: signalId;

Parameters

  signalId |

Returns
  BOOL

Definition at line 96 of file CGTKWidget.m.

## ◆ childFocus:()

- (BOOL) childFocus: |  | (GtkDirectionType) | direction |

-(BOOL*)childFocus: direction;

Parameters

  direction |

Returns
  BOOL

Definition at line 101 of file CGTKWidget.m.

## ◆ childNotify:()

- (void) childNotify: |  | (NSString*) | childProperty |

-(void*)childNotify: childProperty;

Parameters

  childProperty |

Definition at line 106 of file CGTKWidget.m.

## ◆ classPathWithPathLength:andPath:andPathReversed:()

- (void) classPathWithPathLength: |  | (guint*) | pathLength
andPath: |  | (gchar**) | path
andPathReversed: |  | (gchar**) | pathReversed

-(void*)classPathWithPathLength:(guint*) pathLength andPath:(gchar**) path andPathReversed:(gchar**) pathReversed;

Parameters

  pathLength |
  path |
  pathReversed |

Definition at line 111 of file CGTKWidget.m.

## ◆ computeExpand:()

- (BOOL) computeExpand: |  | (GtkOrientation) | orientation |

-(BOOL*)computeExpand: orientation;

Parameters

  orientation |

Returns
  BOOL

Definition at line 116 of file CGTKWidget.m.

## ◆ createPangoContext()

- (PangoContext *) createPangoContext |  |  |

-(PangoContext**)createPangoContext;

Returns
  PangoContext*

Definition at line 121 of file CGTKWidget.m.

## ◆ createPangoLayout:()

- (PangoLayout *) createPangoLayout: |  | (NSString*) | text |

-(PangoLayout**)createPangoLayout: text;

Parameters

  text |

Returns
  PangoLayout*

Definition at line 126 of file CGTKWidget.m.

## ◆ destroy()

- (void) destroy |  |  |

-(void*)destroy;

Definition at line 131 of file CGTKWidget.m.

## ◆ destroyed:()

- (void) destroyed: |  | (GtkWidget**) | widgetPointer |

-(void*)destroyed: widgetPointer;

Parameters

  widgetPointer |

Definition at line 136 of file CGTKWidget.m.

## ◆ deviceIsShadowed:()

- (BOOL) deviceIsShadowed: |  | (GdkDevice*) | device |

-(BOOL*)deviceIsShadowed: device;

Parameters

  device |

Returns
  BOOL

Definition at line 141 of file CGTKWidget.m.

## ◆ draw:()

- (void) draw: |  | (cairo_t*) | cr |

-(void*)draw: cr;

Parameters

  cr |

Definition at line 286 of file CGTKWidget.m.

## ◆ ensureStyle()

- (void) ensureStyle |  |  |

-(void*)ensureStyle;

Definition at line 291 of file CGTKWidget.m.

## ◆ errorBell()

- (void) errorBell |  |  |

-(void*)errorBell;

Definition at line 296 of file CGTKWidget.m.

## ◆ event:()

- (BOOL) event: |  | (GdkEvent*) | event |

-(BOOL*)event: event;

Parameters

  event |

Returns
  BOOL

Definition at line 301 of file CGTKWidget.m.

## ◆ freezeChildNotify()

- (void) freezeChildNotify |  |  |

-(void*)freezeChildNotify;

Definition at line 306 of file CGTKWidget.m.

## ◆ getAccessible()

- (AtkObject *) getAccessible |  |  |

-(AtkObject**)getAccessible;

Returns
  AtkObject*

Definition at line 311 of file CGTKWidget.m.

## ◆ getActionGroup:()

- (GActionGroup *) getActionGroup: |  | (NSString*) | prefix |

-(GActionGroup**)getActionGroup: prefix;

Parameters

  prefix |

Returns
  GActionGroup*

Definition at line 316 of file CGTKWidget.m.

## ◆ getAllocatedBaseline()

- (int) getAllocatedBaseline |  |  |

-(int*)getAllocatedBaseline;

Returns
  int

Definition at line 321 of file CGTKWidget.m.

## ◆ getAllocatedHeight()

- (int) getAllocatedHeight |  |  |

-(int*)getAllocatedHeight;

Returns
  int

Definition at line 326 of file CGTKWidget.m.

## ◆ getAllocatedSizeWithAllocation:andBaseline:()

- (void) getAllocatedSizeWithAllocation: |  | (GtkAllocation*) | allocation
andBaseline: |  | (int*) | baseline

-(void*)getAllocatedSizeWithAllocation:(GtkAllocation*) allocation andBaseline:(int*) baseline;

Parameters

  allocation |
  baseline |

Definition at line 331 of file CGTKWidget.m.

## ◆ getAllocatedWidth()

- (int) getAllocatedWidth |  |  |

-(int*)getAllocatedWidth;

Returns
  int

Definition at line 336 of file CGTKWidget.m.

## ◆ getAllocation:()

- (void) getAllocation: |  | (GtkAllocation*) | allocation |

-(void*)getAllocation: allocation;

Parameters

  allocation |

Definition at line 341 of file CGTKWidget.m.

## ◆ getAncestor:()

- (CGTKWidget *) getAncestor: |  | (GType) | widgetType |

-(CGTKWidget**)getAncestor: widgetType;

Parameters

  widgetType |

Returns
  CGTKWidget*

Definition at line 346 of file CGTKWidget.m.

## ◆ getAppPaintable()

- (BOOL) getAppPaintable |  |  |

-(BOOL*)getAppPaintable;

Returns
  BOOL

Definition at line 351 of file CGTKWidget.m.

## ◆ getCanDefault()

- (BOOL) getCanDefault |  |  |

-(BOOL*)getCanDefault;

Returns
  BOOL

Definition at line 356 of file CGTKWidget.m.

## ◆ getCanFocus()

- (BOOL) getCanFocus |  |  |

-(BOOL*)getCanFocus;

Returns
  BOOL

Definition at line 361 of file CGTKWidget.m.

## ◆ getChildRequisition:()

- (void) getChildRequisition: |  | (GtkRequisition*) | requisition |

-(void*)getChildRequisition: requisition;

Parameters

  requisition |

Definition at line 366 of file CGTKWidget.m.

## ◆ getChildVisible()

- (BOOL) getChildVisible |  |  |

-(BOOL*)getChildVisible;

Returns
  BOOL

Definition at line 371 of file CGTKWidget.m.

## ◆ getClip:()

- (void) getClip: |  | (GtkAllocation*) | clip |

-(void*)getClip: clip;

Parameters

  clip |

Definition at line 376 of file CGTKWidget.m.

## ◆ getClipboard:()

- (GtkClipboard *) getClipboard: |  | (GdkAtom) | selection |

-(GtkClipboard**)getClipboard: selection;

Parameters

  selection |

Returns
  GtkClipboard*

Definition at line 381 of file CGTKWidget.m.

## ◆ getCompositeName()

- (NSString *) getCompositeName |  |  |

-(NSString**)getCompositeName;

Returns
  NSString*

Definition at line 386 of file CGTKWidget.m.

## ◆ getDefaultDirection()

+ (GtkTextDirection) getDefaultDirection |  |  |

Functions

Definition at line 36 of file CGTKWidget.m.

## ◆ getDeviceEnabled:()

- (BOOL) getDeviceEnabled: |  | (GdkDevice*) | device |

-(BOOL*)getDeviceEnabled: device;

Parameters

  device |

Returns
  BOOL

Definition at line 391 of file CGTKWidget.m.

## ◆ getDeviceEvents:()

- (GdkEventMask) getDeviceEvents: |  | (GdkDevice*) | device |

-(GdkEventMask*)getDeviceEvents: device;

Parameters

  device |

Returns
  GdkEventMask

Definition at line 396 of file CGTKWidget.m.

## ◆ getDirection()

- (GtkTextDirection) getDirection |  |  |

-(GtkTextDirection*)getDirection;

Returns
  GtkTextDirection

Reimplemented in CGTKMenuButton.

Definition at line 401 of file CGTKWidget.m.

## ◆ getDisplay()

- (GdkDisplay *) getDisplay |  |  |

-(GdkDisplay**)getDisplay;

Returns
  GdkDisplay*

Definition at line 406 of file CGTKWidget.m.

## ◆ getDoubleBuffered()

- (BOOL) getDoubleBuffered |  |  |

-(BOOL*)getDoubleBuffered;

Returns
  BOOL

Definition at line 411 of file CGTKWidget.m.

## ◆ getEvents()

- (gint) getEvents |  |  |

-(gint*)getEvents;

Returns
  gint

Definition at line 416 of file CGTKWidget.m.

## ◆ getFocusOnClick()

- (BOOL) getFocusOnClick |  |  |

-(BOOL*)getFocusOnClick;

Returns
  BOOL

Reimplemented in CGTKComboBox, CGTKFileChooserButton, and CGTKButton.

Definition at line 421 of file CGTKWidget.m.

## ◆ getFontMap()

- (PangoFontMap *) getFontMap |  |  |

-(PangoFontMap**)getFontMap;

Returns
  PangoFontMap*

Definition at line 426 of file CGTKWidget.m.

## ◆ getFontOptions()

- (const cairo_font_options_t *) getFontOptions |  |  |

-(const cairo_font_options_t**)getFontOptions;

Returns
  const cairo_font_options_t*

Definition at line 431 of file CGTKWidget.m.

## ◆ getFrameClock()

- (GdkFrameClock *) getFrameClock |  |  |

-(GdkFrameClock**)getFrameClock;

Returns
  GdkFrameClock*

Definition at line 436 of file CGTKWidget.m.

## ◆ getHalign()

- (GtkAlign) getHalign |  |  |

-(GtkAlign*)getHalign;

Returns
  GtkAlign

Definition at line 441 of file CGTKWidget.m.

## ◆ getHasTooltip()

- (BOOL) getHasTooltip |  |  |

-(BOOL*)getHasTooltip;

Returns
  BOOL

Definition at line 446 of file CGTKWidget.m.

## ◆ getHasWindow()

- (BOOL) getHasWindow |  |  |

-(BOOL*)getHasWindow;

Returns
  BOOL

Definition at line 451 of file CGTKWidget.m.

## ◆ getHexpand()

- (BOOL) getHexpand |  |  |

-(BOOL*)getHexpand;

Returns
  BOOL

Definition at line 456 of file CGTKWidget.m.

## ◆ getHexpandSet()

- (BOOL) getHexpandSet |  |  |

-(BOOL*)getHexpandSet;

Returns
  BOOL

Definition at line 461 of file CGTKWidget.m.

## ◆ getMapped()

- (BOOL) getMapped |  |  |

-(BOOL*)getMapped;

Returns
  BOOL

Definition at line 466 of file CGTKWidget.m.

## ◆ getMarginBottom()

- (gint) getMarginBottom |  |  |

-(gint*)getMarginBottom;

Returns
  gint

Definition at line 471 of file CGTKWidget.m.

## ◆ getMarginEnd()

- (gint) getMarginEnd |  |  |

-(gint*)getMarginEnd;

Returns
  gint

Definition at line 476 of file CGTKWidget.m.

## ◆ getMarginLeft()

- (gint) getMarginLeft |  |  |

-(gint*)getMarginLeft;

Returns
  gint

Definition at line 481 of file CGTKWidget.m.

## ◆ getMarginRight()

- (gint) getMarginRight |  |  |

-(gint*)getMarginRight;

Returns
  gint

Definition at line 486 of file CGTKWidget.m.

## ◆ getMarginStart()

- (gint) getMarginStart |  |  |

-(gint*)getMarginStart;

Returns
  gint

Definition at line 491 of file CGTKWidget.m.

## ◆ getMarginTop()

- (gint) getMarginTop |  |  |

-(gint*)getMarginTop;

Returns
  gint

Definition at line 496 of file CGTKWidget.m.

## ◆ getModifierMask:()

- (GdkModifierType) getModifierMask: |  | (GdkModifierIntent) | intent |

-(GdkModifierType*)getModifierMask: intent;

Parameters

  intent |

Returns
  GdkModifierType

Definition at line 501 of file CGTKWidget.m.

## ◆ getModifierStyle()

- (GtkRcStyle *) getModifierStyle |  |  |

-(GtkRcStyle**)getModifierStyle;

Returns
  GtkRcStyle*

Definition at line 506 of file CGTKWidget.m.

## ◆ getName()

- (NSString *) getName |  |  |

-(NSString**)getName;

Returns
  NSString*

Definition at line 511 of file CGTKWidget.m.

## ◆ getNoShowAll()

- (BOOL) getNoShowAll |  |  |

-(BOOL*)getNoShowAll;

Returns
  BOOL

Definition at line 516 of file CGTKWidget.m.

## ◆ getOpacity()

- (double) getOpacity |  |  |

-(double*)getOpacity;

Returns
  double

Reimplemented in CGTKWindow.

Definition at line 521 of file CGTKWidget.m.

## ◆ getPangoContext()

- (PangoContext *) getPangoContext |  |  |

-(PangoContext**)getPangoContext;

Returns
  PangoContext*

Definition at line 526 of file CGTKWidget.m.

## ◆ getParent()

- (CGTKWidget *) getParent |  |  |

-(CGTKWidget**)getParent;

Returns
  CGTKWidget*

Definition at line 531 of file CGTKWidget.m.

## ◆ getParentWindow()

- (GdkWindow *) getParentWindow |  |  |

-(GdkWindow**)getParentWindow;

Returns
  GdkWindow*

Definition at line 536 of file CGTKWidget.m.

## ◆ getPath()

- (GtkWidgetPath *) getPath |  |  |

-(GtkWidgetPath**)getPath;

Returns
  GtkWidgetPath*

Definition at line 541 of file CGTKWidget.m.

## ◆ getPointerWithX:andY:()

- (void) getPointerWithX: |  | (gint*) | x
andY: |  | (gint*) | y

-(void*)getPointerWithX:(gint*) x andY:(gint*) y;

Parameters

  x |
  y |

Definition at line 546 of file CGTKWidget.m.

## ◆ getPreferredHeightAndBaselineForWidthWithWidth:andMinimumHeight:andNaturalHeight:andMinimumBaseline:andNaturalBaseline:()

- (void) getPreferredHeightAndBaselineForWidthWithWidth: |  | (gint) | width
andMinimumHeight: |  | (gint*) | minimumHeight
andNaturalHeight: |  | (gint*) | naturalHeight
andMinimumBaseline: |  | (gint*) | minimumBaseline
andNaturalBaseline: |  | (gint*) | naturalBaseline

-(void*)getPreferredHeightAndBaselineForWidthWithWidth:(gint) width andMinimumHeight:(gint*) minimumHeight andNaturalHeight:(gint*) naturalHeight andMinimumBaseline:(gint*) minimumBaseline andNaturalBaseline:(gint*) naturalBaseline;

Parameters

  width |
  minimumHeight |
  naturalHeight |
  minimumBaseline |
  naturalBaseline |

Definition at line 556 of file CGTKWidget.m.

## ◆ getPreferredHeightForWidthWithWidth:andMinimumHeight:andNaturalHeight:()

- (void) getPreferredHeightForWidthWithWidth: |  | (gint) | width
andMinimumHeight: |  | (gint*) | minimumHeight
andNaturalHeight: |  | (gint*) | naturalHeight

-(void*)getPreferredHeightForWidthWithWidth:(gint) width andMinimumHeight:(gint*) minimumHeight andNaturalHeight:(gint*) naturalHeight;

Parameters

  width |
  minimumHeight |
  naturalHeight |

Definition at line 561 of file CGTKWidget.m.

## ◆ getPreferredHeightWithMinimumHeight:andNaturalHeight:()

- (void) getPreferredHeightWithMinimumHeight: |  | (gint*) | minimumHeight
andNaturalHeight: |  | (gint*) | naturalHeight

-(void*)getPreferredHeightWithMinimumHeight:(gint*) minimumHeight andNaturalHeight:(gint*) naturalHeight;

Parameters

  minimumHeight |
  naturalHeight |

Definition at line 551 of file CGTKWidget.m.

## ◆ getPreferredSizeWithMinimumSize:andNaturalSize:()

- (void) getPreferredSizeWithMinimumSize: |  | (GtkRequisition*) | minimumSize
andNaturalSize: |  | (GtkRequisition*) | naturalSize

-(void*)getPreferredSizeWithMinimumSize:(GtkRequisition*) minimumSize andNaturalSize:(GtkRequisition*) naturalSize;

Parameters

  minimumSize |
  naturalSize |

Definition at line 566 of file CGTKWidget.m.

## ◆ getPreferredWidthForHeightWithHeight:andMinimumWidth:andNaturalWidth:()

- (void) getPreferredWidthForHeightWithHeight: |  | (gint) | height
andMinimumWidth: |  | (gint*) | minimumWidth
andNaturalWidth: |  | (gint*) | naturalWidth

-(void*)getPreferredWidthForHeightWithHeight:(gint) height andMinimumWidth:(gint*) minimumWidth andNaturalWidth:(gint*) naturalWidth;

Parameters

  height |
  minimumWidth |
  naturalWidth |

Definition at line 576 of file CGTKWidget.m.

## ◆ getPreferredWidthWithMinimumWidth:andNaturalWidth:()

- (void) getPreferredWidthWithMinimumWidth: |  | (gint*) | minimumWidth
andNaturalWidth: |  | (gint*) | naturalWidth

-(void*)getPreferredWidthWithMinimumWidth:(gint*) minimumWidth andNaturalWidth:(gint*) naturalWidth;

Parameters

  minimumWidth |
  naturalWidth |

Definition at line 571 of file CGTKWidget.m.

## ◆ getRealized()

- (BOOL) getRealized |  |  |

-(BOOL*)getRealized;

Returns
  BOOL

Definition at line 581 of file CGTKWidget.m.

## ◆ getReceivesDefault()

- (BOOL) getReceivesDefault |  |  |

-(BOOL*)getReceivesDefault;

Returns
  BOOL

Definition at line 586 of file CGTKWidget.m.

## ◆ getRequestMode()

- (GtkSizeRequestMode) getRequestMode |  |  |

-(GtkSizeRequestMode*)getRequestMode;

Returns
  GtkSizeRequestMode

Definition at line 591 of file CGTKWidget.m.

## ◆ getRequisition:()

- (void) getRequisition: |  | (GtkRequisition*) | requisition |

-(void*)getRequisition: requisition;

Parameters

  requisition |

Definition at line 596 of file CGTKWidget.m.

## ◆ getRootWindow()

- (GdkWindow *) getRootWindow |  |  |

-(GdkWindow**)getRootWindow;

Returns
  GdkWindow*

Definition at line 601 of file CGTKWidget.m.

## ◆ getScaleFactor()

- (gint) getScaleFactor |  |  |

-(gint*)getScaleFactor;

Returns
  gint

Definition at line 606 of file CGTKWidget.m.

## ◆ getScreen()

- (GdkScreen *) getScreen |  |  |

-(GdkScreen**)getScreen;

Returns
  GdkScreen*

Reimplemented in CGTKWindow, and CGTKInvisible.

Definition at line 611 of file CGTKWidget.m.

## ◆ getSensitive()

- (BOOL) getSensitive |  |  |

-(BOOL*)getSensitive;

Returns
  BOOL

Definition at line 616 of file CGTKWidget.m.

## ◆ getSettings()

- (GtkSettings *) getSettings |  |  |

-(GtkSettings**)getSettings;

Returns
  GtkSettings*

Definition at line 621 of file CGTKWidget.m.

## ◆ getSizeRequestWithWidth:andHeight:()

- (void) getSizeRequestWithWidth: |  | (gint*) | width
andHeight: |  | (gint*) | height

-(void*)getSizeRequestWithWidth:(gint*) width andHeight:(gint*) height;

Parameters

  width |
  height |

Definition at line 626 of file CGTKWidget.m.

## ◆ getState()

- (GtkStateType) getState |  |  |

-(GtkStateType*)getState;

Returns
  GtkStateType

Reimplemented in CGTKSwitch.

Definition at line 631 of file CGTKWidget.m.

## ◆ getStateFlags()

- (GtkStateFlags) getStateFlags |  |  |

-(GtkStateFlags*)getStateFlags;

Returns
  GtkStateFlags

Definition at line 636 of file CGTKWidget.m.

## ◆ getStyle()

- (GtkStyle *) getStyle |  |  |

-(GtkStyle**)getStyle;

Returns
  GtkStyle*

Reimplemented in CGTKToolbar, and CGTKToolPalette.

Definition at line 641 of file CGTKWidget.m.

## ◆ getStyleContext()

- (GtkStyleContext *) getStyleContext |  |  |

-(GtkStyleContext**)getStyleContext;

Returns
  GtkStyleContext*

Definition at line 646 of file CGTKWidget.m.

## ◆ getSupportMultidevice()

- (BOOL) getSupportMultidevice |  |  |

-(BOOL*)getSupportMultidevice;

Returns
  BOOL

Definition at line 651 of file CGTKWidget.m.

## ◆ getTemplateChildWithWidgetType:andName:()

- (GObject *) getTemplateChildWithWidgetType: |  | (GType) | widgetType
andName: |  | (NSString*) | name

-(GObject**)getTemplateChildWithWidgetType:(GType) widgetType andName:(NSString*) name;

Parameters

  widgetType |
  name |

Returns
  GObject*

Definition at line 656 of file CGTKWidget.m.

## ◆ getTooltipMarkup()

- (NSString *) getTooltipMarkup |  |  |

-(NSString**)getTooltipMarkup;

Returns
  NSString*

Definition at line 661 of file CGTKWidget.m.

## ◆ getTooltipText()

- (NSString *) getTooltipText |  |  |

-(NSString**)getTooltipText;

Returns
  NSString*

Definition at line 666 of file CGTKWidget.m.

## ◆ getTooltipWindow()

- (GtkWindow *) getTooltipWindow |  |  |

-(GtkWindow**)getTooltipWindow;

Returns
  GtkWindow*

Definition at line 671 of file CGTKWidget.m.

## ◆ getToplevel()

- (CGTKWidget *) getToplevel |  |  |

-(CGTKWidget**)getToplevel;

Returns
  CGTKWidget*

Definition at line 676 of file CGTKWidget.m.

## ◆ getValign()

- (GtkAlign) getValign |  |  |

-(GtkAlign*)getValign;

Returns
  GtkAlign

Definition at line 681 of file CGTKWidget.m.

## ◆ getValignWithBaseline()

- (GtkAlign) getValignWithBaseline |  |  |

-(GtkAlign*)getValignWithBaseline;

Returns
  GtkAlign

Definition at line 686 of file CGTKWidget.m.

## ◆ getVexpand()

- (BOOL) getVexpand |  |  |

-(BOOL*)getVexpand;

Returns
  BOOL

Definition at line 691 of file CGTKWidget.m.

## ◆ getVexpandSet()

- (BOOL) getVexpandSet |  |  |

-(BOOL*)getVexpandSet;

Returns
  BOOL

Definition at line 696 of file CGTKWidget.m.

## ◆ getVisible()

- (BOOL) getVisible |  |  |

-(BOOL*)getVisible;

Returns
  BOOL

Definition at line 701 of file CGTKWidget.m.

## ◆ getVisual()

- (GdkVisual *) getVisual |  |  |

-(GdkVisual**)getVisual;

Returns
  GdkVisual*

Definition at line 706 of file CGTKWidget.m.

## ◆ getWindow()

- (GdkWindow *) getWindow |  |  |

-(GdkWindow**)getWindow;

Returns
  GdkWindow*

Definition at line 711 of file CGTKWidget.m.

## ◆ grabDefault()

- (void) grabDefault |  |  |

-(void*)grabDefault;

Definition at line 721 of file CGTKWidget.m.

## ◆ grabFocus()

- (void) grabFocus |  |  |

-(void*)grabFocus;

Definition at line 726 of file CGTKWidget.m.

## ◆ gtkDragBeginWithCoordinatesWithTargets:andActions:andButton:andEvent:andX:andY:()

- (GdkDragContext *) gtkDragBeginWithCoordinatesWithTargets: |  | (GtkTargetList*) | targets
andActions: |  | (GdkDragAction) | actions
andButton: |  | (gint) | button
andEvent: |  | (GdkEvent*) | event
andX: |  | (gint) | x
andY: |  | (gint) | y

-(GdkDragContext**)gtkDragBeginWithCoordinatesWithTargets:(GtkTargetList*) targets andActions:(GdkDragAction) actions andButton:(gint) button andEvent:(GdkEvent*) event andX:(gint) x andY:(gint) y;

Parameters

  targets |
  actions |
  button |
  event |
  x |
  y |

Returns
  GdkDragContext*

Definition at line 151 of file CGTKWidget.m.

## ◆ gtkDragBeginWithTargets:andActions:andButton:andEvent:()

- (GdkDragContext *) gtkDragBeginWithTargets: |  | (GtkTargetList*) | targets
andActions: |  | (GdkDragAction) | actions
andButton: |  | (gint) | button
andEvent: |  | (GdkEvent*) | event

-(GdkDragContext**)gtkDragBeginWithTargets:(GtkTargetList*) targets andActions:(GdkDragAction) actions andButton:(gint) button andEvent:(GdkEvent*) event;

Parameters

  targets |
  actions |
  button |
  event |

Returns
  GdkDragContext*

Definition at line 146 of file CGTKWidget.m.

## ◆ gtkDragCheckThresholdWithStartX:andStartY:andCurrentX:andCurrentY:()

- (BOOL) gtkDragCheckThresholdWithStartX: |  | (gint) | startX
andStartY: |  | (gint) | startY
andCurrentX: |  | (gint) | currentX
andCurrentY: |  | (gint) | currentY

-(BOOL*)gtkDragCheckThresholdWithStartX:(gint) startX andStartY:(gint) startY andCurrentX:(gint) currentX andCurrentY:(gint) currentY;

Parameters

  startX |
  startY |
  currentX |
  currentY |

Returns
  BOOL

Definition at line 156 of file CGTKWidget.m.

## ◆ gtkDragDestAddImageTargets()

- (void) gtkDragDestAddImageTargets |  |  |

-(void*)gtkDragDestAddImageTargets;

Definition at line 161 of file CGTKWidget.m.

## ◆ gtkDragDestAddTextTargets()

- (void) gtkDragDestAddTextTargets |  |  |

-(void*)gtkDragDestAddTextTargets;

Definition at line 166 of file CGTKWidget.m.

## ◆ gtkDragDestAddUriTargets()

- (void) gtkDragDestAddUriTargets |  |  |

-(void*)gtkDragDestAddUriTargets;

Definition at line 171 of file CGTKWidget.m.

## ◆ gtkDragDestFindTargetWithContext:andTargetList:()

- (GdkAtom) gtkDragDestFindTargetWithContext: |  | (GdkDragContext*) | context
andTargetList: |  | (GtkTargetList*) | targetList

-(GdkAtom*)gtkDragDestFindTargetWithContext:(GdkDragContext*) context andTargetList:(GtkTargetList*) targetList;

Parameters

  context |
  targetList |

Returns
  GdkAtom

Definition at line 176 of file CGTKWidget.m.

## ◆ gtkDragDestGetTargetList()

- (GtkTargetList *) gtkDragDestGetTargetList |  |  |

-(GtkTargetList**)gtkDragDestGetTargetList;

Returns
  GtkTargetList*

Definition at line 181 of file CGTKWidget.m.

## ◆ gtkDragDestGetTrackMotion()

- (BOOL) gtkDragDestGetTrackMotion |  |  |

-(BOOL*)gtkDragDestGetTrackMotion;

Returns
  BOOL

Definition at line 186 of file CGTKWidget.m.

## ◆ gtkDragDestSetProxyWithProxyWindow:andProtocol:andUseCoordinates:()

- (void) gtkDragDestSetProxyWithProxyWindow: |  | (GdkWindow*) | proxyWindow
andProtocol: |  | (GdkDragProtocol) | protocol
andUseCoordinates: |  | (BOOL) | useCoordinates

-(void*)gtkDragDestSetProxyWithProxyWindow:(GdkWindow*) proxyWindow andProtocol:(GdkDragProtocol) protocol andUseCoordinates:(BOOL) useCoordinates;

Parameters

  proxyWindow |
  protocol |
  useCoordinates |

Definition at line 196 of file CGTKWidget.m.

## ◆ gtkDragDestSetTargetList:()

- (void) gtkDragDestSetTargetList: |  | (GtkTargetList*) | targetList |

-(void*)gtkDragDestSetTargetList: targetList;

Parameters

  targetList |

Definition at line 201 of file CGTKWidget.m.

## ◆ gtkDragDestSetTrackMotion:()

- (void) gtkDragDestSetTrackMotion: |  | (BOOL) | trackMotion |

-(void*)gtkDragDestSetTrackMotion: trackMotion;

Parameters

  trackMotion |

Definition at line 206 of file CGTKWidget.m.

## ◆ gtkDragDestSetWithFlags:andTargets:andNtargets:andActions:()

- (void) gtkDragDestSetWithFlags: |  | (GtkDestDefaults) | flags
andTargets: |  | (GtkTargetEntry*) | targets
andNtargets: |  | (gint) | ntargets
andActions: |  | (GdkDragAction) | actions

-(void*)gtkDragDestSetWithFlags:(GtkDestDefaults) flags andTargets:(GtkTargetEntry*) targets andNtargets:(gint) ntargets andActions:(GdkDragAction) actions;

Parameters

  flags |
  targets |
  ntargets |
  actions |

Definition at line 191 of file CGTKWidget.m.

## ◆ gtkDragDestUnset()

- (void) gtkDragDestUnset |  |  |

-(void*)gtkDragDestUnset;

Definition at line 211 of file CGTKWidget.m.

## ◆ gtkDragGetDataWithContext:andTarget:andTime:()

- (void) gtkDragGetDataWithContext: |  | (GdkDragContext*) | context
andTarget: |  | (GdkAtom) | target
andTime: |  | (guint32) | time

-(void*)gtkDragGetDataWithContext:(GdkDragContext*) context andTarget:(GdkAtom) target andTime:(guint32) time;

Parameters

  context |
  target |
  time |

Definition at line 216 of file CGTKWidget.m.

## ◆ gtkDragHighlight()

- (void) gtkDragHighlight |  |  |

-(void*)gtkDragHighlight;

Definition at line 221 of file CGTKWidget.m.

## ◆ gtkDragSourceAddImageTargets()

- (void) gtkDragSourceAddImageTargets |  |  |

-(void*)gtkDragSourceAddImageTargets;

Definition at line 226 of file CGTKWidget.m.

## ◆ gtkDragSourceAddTextTargets()

- (void) gtkDragSourceAddTextTargets |  |  |

-(void*)gtkDragSourceAddTextTargets;

Definition at line 231 of file CGTKWidget.m.

## ◆ gtkDragSourceAddUriTargets()

- (void) gtkDragSourceAddUriTargets |  |  |

-(void*)gtkDragSourceAddUriTargets;

Definition at line 236 of file CGTKWidget.m.

## ◆ gtkDragSourceGetTargetList()

- (GtkTargetList *) gtkDragSourceGetTargetList |  |  |

-(GtkTargetList**)gtkDragSourceGetTargetList;

Returns
  GtkTargetList*

Definition at line 241 of file CGTKWidget.m.

## ◆ gtkDragSourceSetIconGicon:()

- (void) gtkDragSourceSetIconGicon: |  | (GIcon*) | icon |

-(void*)gtkDragSourceSetIconGicon: icon;

Parameters

  icon |

Definition at line 251 of file CGTKWidget.m.

## ◆ gtkDragSourceSetIconName:()

- (void) gtkDragSourceSetIconName: |  | (NSString*) | iconName |

-(void*)gtkDragSourceSetIconName: iconName;

Parameters

  iconName |

Definition at line 256 of file CGTKWidget.m.

## ◆ gtkDragSourceSetIconPixbuf:()

- (void) gtkDragSourceSetIconPixbuf: |  | (GdkPixbuf*) | pixbuf |

-(void*)gtkDragSourceSetIconPixbuf: pixbuf;

Parameters

  pixbuf |

Definition at line 261 of file CGTKWidget.m.

## ◆ gtkDragSourceSetIconStock:()

- (void) gtkDragSourceSetIconStock: |  | (NSString*) | stockId |

-(void*)gtkDragSourceSetIconStock: stockId;

Parameters

  stockId |

Definition at line 266 of file CGTKWidget.m.

## ◆ gtkDragSourceSetTargetList:()

- (void) gtkDragSourceSetTargetList: |  | (GtkTargetList*) | targetList |

-(void*)gtkDragSourceSetTargetList: targetList;

Parameters

  targetList |

Definition at line 271 of file CGTKWidget.m.

## ◆ gtkDragSourceSetWithStartButtonMask:andTargets:andNtargets:andActions:()

- (void) gtkDragSourceSetWithStartButtonMask: |  | (GdkModifierType) | startButtonMask
andTargets: |  | (GtkTargetEntry*) | targets
andNtargets: |  | (gint) | ntargets
andActions: |  | (GdkDragAction) | actions

-(void*)gtkDragSourceSetWithStartButtonMask:(GdkModifierType) startButtonMask andTargets:(GtkTargetEntry*) targets andNtargets:(gint) ntargets andActions:(GdkDragAction) actions;

Parameters

  startButtonMask |
  targets |
  ntargets |
  actions |

Definition at line 246 of file CGTKWidget.m.

## ◆ gtkDragSourceUnset()

- (void) gtkDragSourceUnset |  |  |

-(void*)gtkDragSourceUnset;

Definition at line 276 of file CGTKWidget.m.

## ◆ gtkDragUnhighlight()

- (void) gtkDragUnhighlight |  |  |

-(void*)gtkDragUnhighlight;

Definition at line 281 of file CGTKWidget.m.

## ◆ gtkGrabAdd()

- (void) gtkGrabAdd |  |  |

-(void*)gtkGrabAdd;

Definition at line 716 of file CGTKWidget.m.

## ◆ gtkGrabRemove()

- (void) gtkGrabRemove |  |  |

-(void*)gtkGrabRemove;

Definition at line 731 of file CGTKWidget.m.

## ◆ hasDefault()

- (BOOL) hasDefault |  |  |

-(BOOL*)hasDefault;

Returns
  BOOL

Definition at line 736 of file CGTKWidget.m.

## ◆ hasFocus()

- (BOOL) hasFocus |  |  |

-(BOOL*)hasFocus;

Returns
  BOOL

Definition at line 741 of file CGTKWidget.m.

## ◆ hasGrab()

- (BOOL) hasGrab |  |  |

-(BOOL*)hasGrab;

Returns
  BOOL

Definition at line 746 of file CGTKWidget.m.

## ◆ hasRcStyle()

- (BOOL) hasRcStyle |  |  |

-(BOOL*)hasRcStyle;

Returns
  BOOL

Definition at line 751 of file CGTKWidget.m.

## ◆ hasScreen()

- (BOOL) hasScreen |  |  |

-(BOOL*)hasScreen;

Returns
  BOOL

Definition at line 756 of file CGTKWidget.m.

## ◆ hasVisibleFocus()

- (BOOL) hasVisibleFocus |  |  |

-(BOOL*)hasVisibleFocus;

Returns
  BOOL

Definition at line 761 of file CGTKWidget.m.

## ◆ hide()

- (void) hide |  |  |

-(void*)hide;

Definition at line 766 of file CGTKWidget.m.

## ◆ hideOnDelete()

- (BOOL) hideOnDelete |  |  |

-(BOOL*)hideOnDelete;

Returns
  BOOL

Definition at line 771 of file CGTKWidget.m.

## ◆ inDestruction()

- (BOOL) inDestruction |  |  |

-(BOOL*)inDestruction;

Returns
  BOOL

Definition at line 776 of file CGTKWidget.m.

## ◆ initTemplate()

- (void) initTemplate |  |  |

-(void*)initTemplate;

Definition at line 781 of file CGTKWidget.m.

## ◆ inputShapeCombineRegion:()

- (void) inputShapeCombineRegion: |  | (cairo_region_t*) | region |

-(void*)inputShapeCombineRegion: region;

Parameters

  region |

Definition at line 786 of file CGTKWidget.m.

## ◆ insertActionGroupWithName:andGroup:()

- (void) insertActionGroupWithName: |  | (NSString*) | name
andGroup: |  | (GActionGroup*) | group

-(void*)insertActionGroupWithName:(NSString*) name andGroup:(GActionGroup*) group;

Parameters

  name |
  group |

Definition at line 791 of file CGTKWidget.m.

## ◆ intersectWithArea:andIntersection:()

- (BOOL) intersectWithArea: |  | (const GdkRectangle*) | area
andIntersection: |  | (GdkRectangle*) | intersection

-(BOOL*)intersectWithArea:(const GdkRectangle*) area andIntersection:(GdkRectangle*) intersection;

Parameters

  area |
  intersection |

Returns
  BOOL

Definition at line 796 of file CGTKWidget.m.

## ◆ isAncestor:()

- (BOOL) isAncestor: |  | (CGTKWidget*) | ancestor |

-(BOOL*)isAncestor: ancestor;

Parameters

  ancestor |

Returns
  BOOL

Definition at line 801 of file CGTKWidget.m.

## ◆ isComposited()

- (BOOL) isComposited |  |  |

-(BOOL*)isComposited;

Returns
  BOOL

Definition at line 806 of file CGTKWidget.m.

## ◆ isDrawable()

- (BOOL) isDrawable |  |  |

-(BOOL*)isDrawable;

Returns
  BOOL

Definition at line 811 of file CGTKWidget.m.

## ◆ isFocus()

- (BOOL) isFocus |  |  |

-(BOOL*)isFocus;

Returns
  BOOL

Definition at line 816 of file CGTKWidget.m.

## ◆ isSensitive()

- (BOOL) isSensitive |  |  |

-(BOOL*)isSensitive;

Returns
  BOOL

Definition at line 821 of file CGTKWidget.m.

## ◆ isToplevel()

- (BOOL) isToplevel |  |  |

-(BOOL*)isToplevel;

Returns
  BOOL

Definition at line 826 of file CGTKWidget.m.

## ◆ isVisible()

- (BOOL) isVisible |  |  |

-(BOOL*)isVisible;

Returns
  BOOL

Definition at line 831 of file CGTKWidget.m.

## ◆ keynavFailed:()

- (BOOL) keynavFailed: |  | (GtkDirectionType) | direction |

-(BOOL*)keynavFailed: direction;

Parameters

  direction |

Returns
  BOOL

Definition at line 836 of file CGTKWidget.m.

## ◆ listAccelClosures()

- (GList *) listAccelClosures |  |  |

-(GList**)listAccelClosures;

Returns
  GList*

Definition at line 841 of file CGTKWidget.m.

## ◆ listActionPrefixes()

- (const gchar **) listActionPrefixes |  |  |

-(const gchar***)listActionPrefixes;

Returns
  const gchar**

Definition at line 846 of file CGTKWidget.m.

## ◆ listMnemonicLabels()

- (GList *) listMnemonicLabels |  |  |

-(GList**)listMnemonicLabels;

Returns
  GList*

Definition at line 851 of file CGTKWidget.m.

## ◆ map()

- (void) map |  |  |

-(void*)map;

Definition at line 856 of file CGTKWidget.m.

## ◆ mnemonicActivate:()

- (BOOL) mnemonicActivate: |  | (BOOL) | groupCycling |

-(BOOL*)mnemonicActivate: groupCycling;

Parameters

  groupCycling |

Returns
  BOOL

Definition at line 861 of file CGTKWidget.m.

## ◆ modifyBaseWithState:andColor:()

- (void) modifyBaseWithState: |  | (GtkStateType) | state
andColor: |  | (const GdkColor*) | color

-(void*)modifyBaseWithState:(GtkStateType) state andColor:(const GdkColor*) color;

Parameters

  state |
  color |

Definition at line 866 of file CGTKWidget.m.

## ◆ modifyBgWithState:andColor:()

- (void) modifyBgWithState: |  | (GtkStateType) | state
andColor: |  | (const GdkColor*) | color

-(void*)modifyBgWithState:(GtkStateType) state andColor:(const GdkColor*) color;

Parameters

  state |
  color |

Definition at line 871 of file CGTKWidget.m.

## ◆ modifyCursorWithPrimary:andSecondary:()

- (void) modifyCursorWithPrimary: |  | (const GdkColor*) | primary
andSecondary: |  | (const GdkColor*) | secondary

-(void*)modifyCursorWithPrimary:(const GdkColor*) primary andSecondary:(const GdkColor*) secondary;

Parameters

  primary |
  secondary |

Definition at line 876 of file CGTKWidget.m.

## ◆ modifyFgWithState:andColor:()

- (void) modifyFgWithState: |  | (GtkStateType) | state
andColor: |  | (const GdkColor*) | color

-(void*)modifyFgWithState:(GtkStateType) state andColor:(const GdkColor*) color;

Parameters

  state |
  color |

Definition at line 881 of file CGTKWidget.m.

## ◆ modifyFont:()

- (void) modifyFont: |  | (PangoFontDescription*) | fontDesc |

-(void*)modifyFont: fontDesc;

Parameters

  fontDesc |

Definition at line 886 of file CGTKWidget.m.

## ◆ modifyStyle:()

- (void) modifyStyle: |  | (GtkRcStyle*) | style |

-(void*)modifyStyle: style;

Parameters

  style |

Definition at line 891 of file CGTKWidget.m.

## ◆ modifyTextWithState:andColor:()

- (void) modifyTextWithState: |  | (GtkStateType) | state
andColor: |  | (const GdkColor*) | color

-(void*)modifyTextWithState:(GtkStateType) state andColor:(const GdkColor*) color;

Parameters

  state |
  color |

Definition at line 896 of file CGTKWidget.m.

## ◆ overrideBackgroundColorWithState:andColor:()

- (void) overrideBackgroundColorWithState: |  | (GtkStateFlags) | state
andColor: |  | (const GdkRGBA*) | color

-(void*)overrideBackgroundColorWithState:(GtkStateFlags) state andColor:(const GdkRGBA*) color;

Parameters

  state |
  color |

Definition at line 901 of file CGTKWidget.m.

## ◆ overrideColorWithState:andColor:()

- (void) overrideColorWithState: |  | (GtkStateFlags) | state
andColor: |  | (const GdkRGBA*) | color

-(void*)overrideColorWithState:(GtkStateFlags) state andColor:(const GdkRGBA*) color;

Parameters

  state |
  color |

Definition at line 906 of file CGTKWidget.m.

## ◆ overrideCursorWithCursor:andSecondaryCursor:()

- (void) overrideCursorWithCursor: |  | (const GdkRGBA*) | cursor
andSecondaryCursor: |  | (const GdkRGBA*) | secondaryCursor

-(void*)overrideCursorWithCursor:(const GdkRGBA*) cursor andSecondaryCursor:(const GdkRGBA*) secondaryCursor;

Parameters

  cursor |
  secondaryCursor |

Definition at line 911 of file CGTKWidget.m.

## ◆ overrideFont:()

- (void) overrideFont: |  | (const PangoFontDescription*) | fontDesc |

-(void*)overrideFont: fontDesc;

Parameters

  fontDesc |

Definition at line 916 of file CGTKWidget.m.

## ◆ overrideSymbolicColorWithName:andColor:()

- (void) overrideSymbolicColorWithName: |  | (NSString*) | name
andColor: |  | (const GdkRGBA*) | color

-(void*)overrideSymbolicColorWithName:(NSString*) name andColor:(const GdkRGBA*) color;

Parameters

  name |
  color |

Definition at line 921 of file CGTKWidget.m.

## ◆ pathWithPathLength:andPath:andPathReversed:()

- (void) pathWithPathLength: |  | (guint*) | pathLength
andPath: |  | (gchar**) | path
andPathReversed: |  | (gchar**) | pathReversed

-(void*)pathWithPathLength:(guint*) pathLength andPath:(gchar**) path andPathReversed:(gchar**) pathReversed;

Parameters

  pathLength |
  path |
  pathReversed |

Definition at line 926 of file CGTKWidget.m.

## ◆ queueAllocate()

- (void) queueAllocate |  |  |

-(void*)queueAllocate;

Definition at line 931 of file CGTKWidget.m.

## ◆ queueComputeExpand()

- (void) queueComputeExpand |  |  |

-(void*)queueComputeExpand;

Definition at line 936 of file CGTKWidget.m.

## ◆ queueDraw()

- (void) queueDraw |  |  |

-(void*)queueDraw;

Definition at line 941 of file CGTKWidget.m.

## ◆ queueDrawAreaWithX:andY:andWidth:andHeight:()

- (void) queueDrawAreaWithX: |  | (gint) | x
andY: |  | (gint) | y
andWidth: |  | (gint) | width
andHeight: |  | (gint) | height

-(void*)queueDrawAreaWithX:(gint) x andY:(gint) y andWidth:(gint) width andHeight:(gint) height;

Parameters

  x |
  y |
  width |
  height |

Definition at line 946 of file CGTKWidget.m.

## ◆ queueDrawRegion:()

- (void) queueDrawRegion: |  | (const cairo_region_t*) | region |

-(void*)queueDrawRegion: region;

Parameters

  region |

Definition at line 951 of file CGTKWidget.m.

## ◆ queueResize()

- (void) queueResize |  |  |

-(void*)queueResize;

Definition at line 956 of file CGTKWidget.m.

## ◆ queueResizeNoRedraw()

- (void) queueResizeNoRedraw |  |  |

-(void*)queueResizeNoRedraw;

Definition at line 961 of file CGTKWidget.m.

## ◆ realize()

- (void) realize |  |  |

-(void*)realize;

Definition at line 966 of file CGTKWidget.m.

## ◆ regionIntersect:()

- (cairo_region_t *) regionIntersect: |  | (const cairo_region_t*) | region |

-(cairo_region_t**)regionIntersect: region;

Parameters

  region |

Returns
  cairo_region_t*

Definition at line 971 of file CGTKWidget.m.

## ◆ registerWindow:()

- (void) registerWindow: |  | (GdkWindow*) | window |

-(void*)registerWindow: window;

Parameters

  window |

Definition at line 976 of file CGTKWidget.m.

## ◆ removeAcceleratorWithAccelGroup:andAccelKey:andAccelMods:()

- (BOOL) removeAcceleratorWithAccelGroup: |  | (GtkAccelGroup*) | accelGroup
andAccelKey: |  | (guint) | accelKey
andAccelMods: |  | (GdkModifierType) | accelMods

-(BOOL*)removeAcceleratorWithAccelGroup:(GtkAccelGroup*) accelGroup andAccelKey:(guint) accelKey andAccelMods:(GdkModifierType) accelMods;

Parameters

  accelGroup |
  accelKey |
  accelMods |

Returns
  BOOL

Definition at line 981 of file CGTKWidget.m.

## ◆ removeMnemonicLabel:()

- (void) removeMnemonicLabel: |  | (CGTKWidget*) | label |

-(void*)removeMnemonicLabel: label;

Parameters

  label |

Definition at line 986 of file CGTKWidget.m.

## ◆ removeTickCallback:()

- (void) removeTickCallback: |  | (guint) | id |

-(void*)removeTickCallback: id;

Parameters

  id |

Definition at line 991 of file CGTKWidget.m.

## ◆ renderIconPixbufWithStockId:andSize:()

- (GdkPixbuf *) renderIconPixbufWithStockId: |  | (NSString*) | stockId
andSize: |  | (GtkIconSize) | size

-(GdkPixbuf**)renderIconPixbufWithStockId:(NSString*) stockId andSize:(GtkIconSize) size;

Parameters

  stockId |
  size |

Returns
  GdkPixbuf*

Definition at line 1001 of file CGTKWidget.m.

## ◆ renderIconWithStockId:andSize:andDetail:()

- (GdkPixbuf *) renderIconWithStockId: |  | (NSString*) | stockId
andSize: |  | (GtkIconSize) | size
andDetail: |  | (NSString*) | detail

-(GdkPixbuf**)renderIconWithStockId:(NSString*) stockId andSize:(GtkIconSize) size andDetail:(NSString*) detail;

Parameters

  stockId |
  size |
  detail |

Returns
  GdkPixbuf*

Definition at line 996 of file CGTKWidget.m.

## ◆ reparent:()

- (void) reparent: |  | (CGTKWidget*) | newParent |

-(void*)reparent: newParent;

Parameters

  newParent |

Definition at line 1006 of file CGTKWidget.m.

## ◆ resetRcStyles()

- (void) resetRcStyles |  |  |

-(void*)resetRcStyles;

Definition at line 1011 of file CGTKWidget.m.

## ◆ resetStyle()

- (void) resetStyle |  |  |

-(void*)resetStyle;

Definition at line 1016 of file CGTKWidget.m.

## ◆ sendExpose:()

- (gint) sendExpose: |  | (GdkEvent*) | event |

-(gint*)sendExpose: event;

Parameters

  event |

Returns
  gint

Definition at line 1021 of file CGTKWidget.m.

## ◆ sendFocusChange:()

- (BOOL) sendFocusChange: |  | (GdkEvent*) | event |

-(BOOL*)sendFocusChange: event;

Parameters

  event |

Returns
  BOOL

Definition at line 1026 of file CGTKWidget.m.

## ◆ setAccelPathWithAccelPath:andAccelGroup:()

- (void) setAccelPathWithAccelPath: |  | (NSString*) | accelPath
andAccelGroup: |  | (GtkAccelGroup*) | accelGroup

-(void*)setAccelPathWithAccelPath:(NSString*) accelPath andAccelGroup:(GtkAccelGroup*) accelGroup;

Parameters

  accelPath |
  accelGroup |

Definition at line 1031 of file CGTKWidget.m.

## ◆ setAllocation:()

- (void) setAllocation: |  | (const GtkAllocation*) | allocation |

-(void*)setAllocation: allocation;

Parameters

  allocation |

Definition at line 1036 of file CGTKWidget.m.

## ◆ setAppPaintable:()

- (void) setAppPaintable: |  | (BOOL) | appPaintable |

-(void*)setAppPaintable: appPaintable;

Parameters

  appPaintable |

Definition at line 1041 of file CGTKWidget.m.

## ◆ setCanDefault:()

- (void) setCanDefault: |  | (BOOL) | canDefault |

-(void*)setCanDefault: canDefault;

Parameters

  canDefault |

Definition at line 1046 of file CGTKWidget.m.

## ◆ setCanFocus:()

- (void) setCanFocus: |  | (BOOL) | canFocus |

-(void*)setCanFocus: canFocus;

Parameters

  canFocus |

Definition at line 1051 of file CGTKWidget.m.

## ◆ setChildVisible:()

- (void) setChildVisible: |  | (BOOL) | isVisible |

-(void*)setChildVisible: isVisible;

Parameters

  isVisible |

Definition at line 1056 of file CGTKWidget.m.

## ◆ setClip:()

- (void) setClip: |  | (const GtkAllocation*) | clip |

-(void*)setClip: clip;

Parameters

  clip |

Definition at line 1061 of file CGTKWidget.m.

## ◆ setCompositeName:()

- (void) setCompositeName: |  | (NSString*) | name |

-(void*)setCompositeName: name;

Parameters

  name |

Definition at line 1066 of file CGTKWidget.m.

## ◆ setDeviceEnabledWithDevice:andEnabled:()

- (void) setDeviceEnabledWithDevice: |  | (GdkDevice*) | device
andEnabled: |  | (BOOL) | enabled

-(void*)setDeviceEnabledWithDevice:(GdkDevice*) device andEnabled:(BOOL) enabled;

Parameters

  device |
  enabled |

Definition at line 1071 of file CGTKWidget.m.

## ◆ setDeviceEventsWithDevice:andEvents:()

- (void) setDeviceEventsWithDevice: |  | (GdkDevice*) | device
andEvents: |  | (GdkEventMask) | events

-(void*)setDeviceEventsWithDevice:(GdkDevice*) device andEvents:(GdkEventMask) events;

Parameters

  device |
  events |

Definition at line 1076 of file CGTKWidget.m.

## ◆ setDirection:()

- (void) setDirection: |  | (GtkTextDirection) | dir |

-(void*)setDirection: dir;

Parameters

  dir |

Definition at line 1081 of file CGTKWidget.m.

## ◆ setDoubleBuffered:()

- (void) setDoubleBuffered: |  | (BOOL) | doubleBuffered |

-(void*)setDoubleBuffered: doubleBuffered;

Parameters

  doubleBuffered |

Definition at line 1086 of file CGTKWidget.m.

## ◆ setEvents:()

- (void) setEvents: |  | (gint) | events |

-(void*)setEvents: events;

Parameters

  events |

Definition at line 1091 of file CGTKWidget.m.

## ◆ setFocusOnClick:()

- (void) setFocusOnClick: |  | (BOOL) | focusOnClick |

-(void*)setFocusOnClick: focusOnClick;

Parameters

  focusOnClick |

Reimplemented in CGTKComboBox, CGTKFileChooserButton, and CGTKButton.

Definition at line 1096 of file CGTKWidget.m.

## ◆ setFontMap:()

- (void) setFontMap: |  | (PangoFontMap*) | fontMap |

-(void*)setFontMap: fontMap;

Parameters

  fontMap |

Definition at line 1101 of file CGTKWidget.m.

## ◆ setFontOptions:()

- (void) setFontOptions: |  | (const cairo_font_options_t*) | options |

-(void*)setFontOptions: options;

Parameters

  options |

Definition at line 1106 of file CGTKWidget.m.

## ◆ setHalign:()

- (void) setHalign: |  | (GtkAlign) | align |

-(void*)setHalign: align;

Parameters

  align |

Definition at line 1111 of file CGTKWidget.m.

## ◆ setHasTooltip:()

- (void) setHasTooltip: |  | (BOOL) | hasTooltip |

-(void*)setHasTooltip: hasTooltip;

Parameters

  hasTooltip |

Definition at line 1116 of file CGTKWidget.m.

## ◆ setHasWindow:()

- (void) setHasWindow: |  | (BOOL) | hasWindow |

-(void*)setHasWindow: hasWindow;

Parameters

  hasWindow |

Definition at line 1121 of file CGTKWidget.m.

## ◆ setHexpand:()

- (void) setHexpand: |  | (BOOL) | expand |

-(void*)setHexpand: expand;

Parameters

  expand |

Definition at line 1126 of file CGTKWidget.m.

## ◆ setHexpandSet:()

- (void) setHexpandSet: |  | (BOOL) | set |

-(void*)setHexpandSet: set;

Parameters

  set |

Definition at line 1131 of file CGTKWidget.m.

## ◆ setMapped:()

- (void) setMapped: |  | (BOOL) | mapped |

-(void*)setMapped: mapped;

Parameters

  mapped |

Definition at line 1136 of file CGTKWidget.m.

## ◆ setMarginBottom:()

- (void) setMarginBottom: |  | (gint) | margin |

-(void*)setMarginBottom: margin;

Parameters

  margin |

Definition at line 1141 of file CGTKWidget.m.

## ◆ setMarginEnd:()

- (void) setMarginEnd: |  | (gint) | margin |

-(void*)setMarginEnd: margin;

Parameters

  margin |

Definition at line 1146 of file CGTKWidget.m.

## ◆ setMarginLeft:()

- (void) setMarginLeft: |  | (gint) | margin |

-(void*)setMarginLeft: margin;

Parameters

  margin |

Definition at line 1151 of file CGTKWidget.m.

## ◆ setMarginRight:()

- (void) setMarginRight: |  | (gint) | margin |

-(void*)setMarginRight: margin;

Parameters

  margin |

Definition at line 1156 of file CGTKWidget.m.

## ◆ setMarginStart:()

- (void) setMarginStart: |  | (gint) | margin |

-(void*)setMarginStart: margin;

Parameters

  margin |

Definition at line 1161 of file CGTKWidget.m.

## ◆ setMarginTop:()

- (void) setMarginTop: |  | (gint) | margin |

-(void*)setMarginTop: margin;

Parameters

  margin |

Definition at line 1166 of file CGTKWidget.m.

## ◆ setName:()

- (void) setName: |  | (NSString*) | name |

-(void*)setName: name;

Parameters

  name |

Definition at line 1171 of file CGTKWidget.m.

## ◆ setNoShowAll:()

- (void) setNoShowAll: |  | (BOOL) | noShowAll |

-(void*)setNoShowAll: noShowAll;

Parameters

  noShowAll |

Definition at line 1176 of file CGTKWidget.m.

## ◆ setOpacity:()

- (void) setOpacity: |  | (double) | opacity |

-(void*)setOpacity: opacity;

Parameters

  opacity |

Definition at line 1181 of file CGTKWidget.m.

## ◆ setParent:()

- (void) setParent: |  | (CGTKWidget*) | parent |

-(void*)setParent: parent;

Parameters

  parent |

Definition at line 1186 of file CGTKWidget.m.

## ◆ setParentWindow:()

- (void) setParentWindow: |  | (GdkWindow*) | parentWindow |

-(void*)setParentWindow: parentWindow;

Parameters

  parentWindow |

Definition at line 1191 of file CGTKWidget.m.

## ◆ setRealized:()

- (void) setRealized: |  | (BOOL) | realized |

-(void*)setRealized: realized;

Parameters

  realized |

Definition at line 1196 of file CGTKWidget.m.

## ◆ setReceivesDefault:()

- (void) setReceivesDefault: |  | (BOOL) | receivesDefault |

-(void*)setReceivesDefault: receivesDefault;

Parameters

  receivesDefault |

Definition at line 1201 of file CGTKWidget.m.

## ◆ setRedrawOnAllocate:()

- (void) setRedrawOnAllocate: |  | (BOOL) | redrawOnAllocate |

-(void*)setRedrawOnAllocate: redrawOnAllocate;

Parameters

  redrawOnAllocate |

Definition at line 1206 of file CGTKWidget.m.

## ◆ setSensitive:()

- (void) setSensitive: |  | (BOOL) | sensitive |

-(void*)setSensitive: sensitive;

Parameters

  sensitive |

Definition at line 1211 of file CGTKWidget.m.

## ◆ setSizeRequestWithWidth:andHeight:()

- (void) setSizeRequestWithWidth: |  | (gint) | width
andHeight: |  | (gint) | height

-(void*)setSizeRequestWithWidth:(gint) width andHeight:(gint) height;

Parameters

  width |
  height |

Definition at line 1216 of file CGTKWidget.m.

## ◆ setState:()

- (void) setState: |  | (GtkStateType) | state |

-(void*)setState: state;

Parameters

  state |

Definition at line 1221 of file CGTKWidget.m.

## ◆ setStateFlagsWithFlags:andClear:()

- (void) setStateFlagsWithFlags: |  | (GtkStateFlags) | flags
andClear: |  | (BOOL) | clear

-(void*)setStateFlagsWithFlags:(GtkStateFlags) flags andClear:(BOOL) clear;

Parameters

  flags |
  clear |

Definition at line 1226 of file CGTKWidget.m.

## ◆ setStyle:()

- (void) setStyle: |  | (GtkStyle*) | style |

-(void*)setStyle: style;

Parameters

  style |

Definition at line 1231 of file CGTKWidget.m.

## ◆ setSupportMultidevice:()

- (void) setSupportMultidevice: |  | (BOOL) | supportMultidevice |

-(void*)setSupportMultidevice: supportMultidevice;

Parameters

  supportMultidevice |

Definition at line 1236 of file CGTKWidget.m.

## ◆ setTooltipMarkup:()

- (void) setTooltipMarkup: |  | (NSString*) | markup |

-(void*)setTooltipMarkup: markup;

Parameters

  markup |

Reimplemented in CGTKToolItem.

Definition at line 1241 of file CGTKWidget.m.

## ◆ setTooltipText:()

- (void) setTooltipText: |  | (NSString*) | text |

-(void*)setTooltipText: text;

Parameters

  text |

Reimplemented in CGTKToolItem.

Definition at line 1246 of file CGTKWidget.m.

## ◆ setTooltipWindow:()

- (void) setTooltipWindow: |  | (GtkWindow*) | customWindow |

-(void*)setTooltipWindow: customWindow;

Parameters

  customWindow |

Definition at line 1251 of file CGTKWidget.m.

## ◆ setValign:()

- (void) setValign: |  | (GtkAlign) | align |

-(void*)setValign: align;

Parameters

  align |

Definition at line 1256 of file CGTKWidget.m.

## ◆ setVexpand:()

- (void) setVexpand: |  | (BOOL) | expand |

-(void*)setVexpand: expand;

Parameters

  expand |

Definition at line 1261 of file CGTKWidget.m.

## ◆ setVexpandSet:()

- (void) setVexpandSet: |  | (BOOL) | set |

-(void*)setVexpandSet: set;

Parameters

  set |

Definition at line 1266 of file CGTKWidget.m.

## ◆ setVisible:()

- (void) setVisible: |  | (BOOL) | visible |

-(void*)setVisible: visible;

Parameters

  visible |

Definition at line 1271 of file CGTKWidget.m.

## ◆ setVisual:()

- (void) setVisual: |  | (GdkVisual*) | visual |

-(void*)setVisual: visual;

Parameters

  visual |

Definition at line 1276 of file CGTKWidget.m.

## ◆ setWindow:()

- (void) setWindow: |  | (GdkWindow*) | window |

-(void*)setWindow: window;

Parameters

  window |

Definition at line 1281 of file CGTKWidget.m.

## ◆ shapeCombineRegion:()

- (void) shapeCombineRegion: |  | (cairo_region_t*) | region |

-(void*)shapeCombineRegion: region;

Parameters

  region |

Definition at line 1286 of file CGTKWidget.m.

## ◆ show()

- (void) show |  |  |

-(void*)show;

Definition at line 1291 of file CGTKWidget.m.

## ◆ showAll()

- (void) showAll |  |  |

-(void*)showAll;

Definition at line 1296 of file CGTKWidget.m.

## ◆ showNow()

- (void) showNow |  |  |

-(void*)showNow;

Definition at line 1301 of file CGTKWidget.m.

## ◆ sizeAllocate:()

- (void) sizeAllocate: |  | (GtkAllocation*) | allocation |

-(void*)sizeAllocate: allocation;

Parameters

  allocation |

Definition at line 1306 of file CGTKWidget.m.

## ◆ sizeAllocateWithBaselineWithAllocation:andBaseline:()

- (void) sizeAllocateWithBaselineWithAllocation: |  | (GtkAllocation*) | allocation
andBaseline: |  | (gint) | baseline

-(void*)sizeAllocateWithBaselineWithAllocation:(GtkAllocation*) allocation andBaseline:(gint) baseline;

Parameters

  allocation |
  baseline |

Definition at line 1311 of file CGTKWidget.m.

## ◆ sizeRequest:()

- (void) sizeRequest: |  | (GtkRequisition*) | requisition |

-(void*)sizeRequest: requisition;

Parameters

  requisition |

Definition at line 1316 of file CGTKWidget.m.

## ◆ styleAttach()

- (void) styleAttach |  |  |

-(void*)styleAttach;

Definition at line 1321 of file CGTKWidget.m.

## ◆ styleGetPropertyWithPropertyName:andValue:()

- (void) styleGetPropertyWithPropertyName: |  | (NSString*) | propertyName
andValue: |  | (GValue*) | value

-(void*)styleGetPropertyWithPropertyName:(NSString*) propertyName andValue:(GValue*) value;

Parameters

  propertyName |
  value |

Definition at line 1326 of file CGTKWidget.m.

## ◆ styleGetValistWithFirstPropertyName:andVarArgs:()

- (void) styleGetValistWithFirstPropertyName: |  | (NSString*) | firstPropertyName
andVarArgs: |  | (va_list) | varArgs

-(void*)styleGetValistWithFirstPropertyName:(NSString*) firstPropertyName andVarArgs:(va_list) varArgs;

Parameters

  firstPropertyName |
  varArgs |

Definition at line 1331 of file CGTKWidget.m.

## ◆ thawChildNotify()

- (void) thawChildNotify |  |  |

-(void*)thawChildNotify;

Definition at line 1336 of file CGTKWidget.m.

## ◆ translateCoordinatesWithDestWidget:andSrcX:andSrcY:andDestX:andDestY:()

- (BOOL) translateCoordinatesWithDestWidget: |  | (CGTKWidget*) | destWidget
andSrcX: |  | (gint) | srcX
andSrcY: |  | (gint) | srcY
andDestX: |  | (gint*) | destX
andDestY: |  | (gint*) | destY

-(BOOL*)translateCoordinatesWithDestWidget:(CGTKWidget*) destWidget andSrcX:(gint) srcX andSrcY:(gint) srcY andDestX:(gint*) destX andDestY:(gint*) destY;

Parameters

  destWidget |
  srcX |
  srcY |
  destX |
  destY |

Returns
  BOOL

Definition at line 1341 of file CGTKWidget.m.

## ◆ triggerTooltipQuery()

- (void) triggerTooltipQuery |  |  |

-(void*)triggerTooltipQuery;

Definition at line 1346 of file CGTKWidget.m.

## ◆ unmap()

- (void) unmap |  |  |

-(void*)unmap;

Definition at line 1351 of file CGTKWidget.m.

## ◆ unparent()

- (void) unparent |  |  |

-(void*)unparent;

Definition at line 1356 of file CGTKWidget.m.

## ◆ unrealize()

- (void) unrealize |  |  |

-(void*)unrealize;

Definition at line 1361 of file CGTKWidget.m.

## ◆ unregisterWindow:()

- (void) unregisterWindow: |  | (GdkWindow*) | window |

-(void*)unregisterWindow: window;

Parameters

  window |

Definition at line 1366 of file CGTKWidget.m.

## ◆ unsetStateFlags:()

- (void) unsetStateFlags: |  | (GtkStateFlags) | flags |

-(void*)unsetStateFlags: flags;

Parameters

  flags |

Definition at line 1371 of file CGTKWidget.m.

## ◆ WIDGET()

- (GtkWidget *) WIDGET |  |  |

Methods

Reimplemented from CGTKBase.

Definition at line 61 of file CGTKWidget.m.

The documentation for this class was generated from the following files:

- CGTKWidget.h
- CGTKWidget.m